Subject: Re: Query on new ethtool RSS hashing options

From: Andrew Lunn <[email-masked]>
Date: Mon, 8 Mar 2021 14:42:25 +0100

> This is Marvell OcteonTx2/CN10K RVU controller
> drivers/net/ethernet/marvell/octeontx2.
> And no the controller doesn't have a internal switch and hence
> currently there is no switchdev support.
> The switch I referred to is an external one whose CPU port is
> connected to this controller.

Hi Sunil

That is a classic Linux DSA setup. I know it is no longer an issue,
but you might want to look at how switches are supported in Linux. I'm
sure there are people here who are interested in the setup, and having
the MAC do the DSA header work in hardware poses interesting questions
for the Linux DSA architecture. What would a tag driver in
net/dsa/tag_<FOO>.c look like, how do we tell the MAC about the switch
ports it needs to have slave interfaces for, etc.

      Andrew